## com.artofsolving.jodconverter.openoffice.connection
Interface OpenOfficeConnection

All Known Implementing Classes:
  AbstractOpenOfficeConnection, PipeOpenOfficeConnection, SocketOpenOfficeConnection

    public interface OpenOfficeConnection

A UNO remote protocol connection to a listening OpenOffice.org instance

Method Summary
`void` `connect()`
`void` `disconnect()`
`com.sun.star.bridge.XBridge` `getBridge()`
`com.sun.star.uno.XComponentContext` `getComponentContext()`
`com.sun.star.frame.XComponentLoader` `getDesktop()`
`com.sun.star.ucb.XFileIdentifierConverter` `getFileContentProvider()`
`com.sun.star.lang.XMultiComponentFactory` `getRemoteServiceManager()`
`boolean` `isConnected()`

Method Detail

### connect

    void connect()
                 throws java.net.ConnectException

  Throws:
    `java.net.ConnectException`

### disconnect

    void disconnect()

### isConnected

    boolean isConnected()

### getDesktop

    com.sun.star.frame.XComponentLoader getDesktop()

  Returns:
    the com.sun.star.frame.Desktop service

### getFileContentProvider

    com.sun.star.ucb.XFileIdentifierConverter getFileContentProvider()

  Returns:
    the com.sun.star.ucb.FileContentProvider service

### getBridge

    com.sun.star.bridge.XBridge getBridge()

### getRemoteServiceManager

    com.sun.star.lang.XMultiComponentFactory getRemoteServiceManager()

### getComponentContext

    com.sun.star.uno.XComponentContext getComponentContext()

Copyright © 2003-2009 Art of Solving. All Rights Reserved.